| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Overview
Use this method to obtain a list of all accepted applicant consents. Thus, you retrieve the evidence of an applicant having acknowledged or accepted certain legally significant language (typically in the form of a consent or a notification) previously embedded in the user journey. This allows to ensure that your applicants are presented with the right set of legal documentation (for example, your or Sumsub's privacy notice) before onboarding.
See Applicant Privacy Disclosures and Consent Requirements for more details.
Notes
- Sumsub reserves the right to make any consents or notifications mandatory due to its own legal obligations.
- Consents recorded with Add accepted applicant consents are returned here along with the
acceptedAtandipvalues you submitted, and the full text of the two Sumsub consent documents inrecords.
Required permissions
To use this method, your app token must have the following permissions:
- View applicants
- View applicant's personal data
Request example
curl -X GET \
'https://api.sumsub.com/resources/applicants/6819f8ef6de534aa22700000/acceptedAgreements' \
-H 'accept: application/json' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>'Response explained
The response is a JSON object representing the fact of the applicant granting consent or acknowledging a notification. It contains an applicantAgreements array, where each object corresponds to an individual text string (for example, consent or notification).
If no relevant text string is present in the applicant profile, the method returns no data.
| Field | Type | Description |
|---|---|---|
createdAt | Date | Date and time (GMT) when the applicant granted a specific consent or acknowledged a specific notification via the SDK, or when the record of such was added via the API. |
acceptedAt | Date | Date and time (GMT) when the applicant granted a specific consent or acknowledged a specific notification. |
type | String | Indicates the way the consent was granted or the notification acknowledged (for example, during onboarding or via reusable KYC). |
source | String | Origin of acceptance: WebSDK, msdk2, or API. Consents recorded with Add accepted applicant consents have API. |
ip | String | IP address the applicant accepted from, derived by Sumsub at acceptance time. Can be empty for old records. |
records | Array of objects | Each object includes a content attribute that contains the text of the individually granted consent or acknowledged notification. |
Response examples
If the request is successfully sent and processed, you will get a response like one of those below.
{
"applicantAgreements": [
{
"createdAt": "2025-05-06 11:56:43",
"acceptedAt": "2025-05-06 11:56:43",
"type": "onboarding",
"source": "WebSDK",
"ip": "203.0.113.7",
"records": [
{
"content": "agreement_text_1"
}
]
}
]
}{
"applicantAgreements": [
{
"createdAt": "2025-05-14 14:46:31",
"acceptedAt": "2025-05-14 14:46:31",
"type": "onboarding",
"source": "WebSDK",
"ip": "203.0.113.7",
"records": [
{
"content": "agreement_text_1"
}
]
},
{
"createdAt": "2025-05-14 14:46:31",
"acceptedAt": "2025-05-14 14:34:57",
"type": "onboarding",
"source": "API",
"ip": "203.0.113.7",
"records": [
{
"content": "agreement_text_2"
},
{
"content": "agreement_text_3"
}
]
}
]
}If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:
{
"code": 400,
"correlationId": "bed53eb413f5d51518683d3b947e53a5",
"errorCode": 0,
"description": "Invalid id 'applicantId'"
}